package com.bonus.canteen.core.account.v3.web.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class AccInfoPageDTO extends AccCommonPageDTO {
   @ApiModelProperty("账户状态 1正常 2停用 3注销 4过期")
   private List<Integer> accStatusList;
   @ApiModelProperty("人员类别")
   private Integer psnType;
   @ApiModelProperty("是否查询统计记录")
   private boolean hasSum = false;
   @ApiModelProperty("筛选钱包类型 0-账户总余额 1-个人钱包 2-补贴钱包 4-红包")
   private Integer walletType;
   @ApiModelProperty("钱包最小金额")
   private BigDecimal walletMinAmount;
   @ApiModelProperty("钱包最大金额")
   private BigDecimal walletMaxAmount;

   public List<Integer> getAccStatusList() {
      return this.accStatusList;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public boolean isHasSum() {
      return this.hasSum;
   }

   public Integer getWalletType() {
      return this.walletType;
   }

   public BigDecimal getWalletMinAmount() {
      return this.walletMinAmount;
   }

   public BigDecimal getWalletMaxAmount() {
      return this.walletMaxAmount;
   }

   public void setAccStatusList(final List<Integer> accStatusList) {
      this.accStatusList = accStatusList;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setHasSum(final boolean hasSum) {
      this.hasSum = hasSum;
   }

   public void setWalletType(final Integer walletType) {
      this.walletType = walletType;
   }

   public void setWalletMinAmount(final BigDecimal walletMinAmount) {
      this.walletMinAmount = walletMinAmount;
   }

   public void setWalletMaxAmount(final BigDecimal walletMaxAmount) {
      this.walletMaxAmount = walletMaxAmount;
   }




}
